Package tigase.auth.credentials.entries

## Class MD5UserIdPasswordCredentialsEntry

- java.lang.Object
- - tigase.auth.credentials.entries.MD5UserIdPasswordCredentialsEntry

- All Implemented Interfaces:
    `Credentials.Entry`

      public class MD5UserIdPasswordCredentialsEntry
      extends java.lang.Object
      implements Credentials.Entry

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `MD5UserIdPasswordCredentialsEntry.Decoder` |
    `static class` | `MD5UserIdPasswordCredentialsEntry.Encoder` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MD5UserIdPasswordCredentialsEntry​(BareJID user, java.lang.String passwordHash)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getMechanism()` | Name of the mechanism for which it will work
    `boolean` | `verifyPlainPassword​(java.lang.String plain)` | Check if plaintext password will match stored credential

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MD5UserIdPasswordCredentialsEntry

          public MD5UserIdPasswordCredentialsEntry​(BareJID user,
                                                   java.lang.String passwordHash)

  - ### Method Detail

    - #### getMechanism

          public java.lang.String getMechanism()

      Description copied from interface: `Credentials.Entry`
      Name of the mechanism for which it will work
      Specified by:
        `getMechanism` in interface `Credentials.Entry`

    - #### verifyPlainPassword

          public boolean verifyPlainPassword​(java.lang.String plain)

      Description copied from interface: `Credentials.Entry`
      Check if plaintext password will match stored credential
      Specified by:
        `verifyPlainPassword` in interface `Credentials.Entry`